<back to all web services

GetContents

The following routes are available for this service:
GET/RestApi/apiservice/contents
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class GetContents:
    pass

Python GetContents DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml

HTTP + XML

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/apiservice/contents HTTP/1.1 
Host: www.asg.com.au 
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length

<ArrayOfContentsProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.Web.Api.Web.Services.Dto.Responses">
  <ContentsProxy>
    <Access>String</Access>
    <AutogenerateProperties>false</AutogenerateProperties>
    <Children i:nil="true" />
    <ClrType>String</ClrType>
    <Name>String</Name>
    <Properties i:nil="true" />
    <ReadOnly>false</ReadOnly>
    <UrlKey>String</UrlKey>
    <parentId>String</parentId>
  </ContentsProxy>
</ArrayOfContentsProxy>